<?php
/**
 * This file is used for displaying sidebar menus.
 *
 * @author  Tech Banker
 * @package facebook-likebox/includes
 * @version 2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}// Exit if accessed directly
if ( ! is_user_logged_in() ) {
	return;
} else {
	$access_granted = false;
	if ( isset( $user_role_permission ) && count( $user_role_permission ) > 0 ) {
		foreach ( $user_role_permission as $permission ) {
			if ( current_user_can( $permission ) ) {
				$access_granted = true;
				break;
			}
		}
	}
	if ( ! $access_granted ) {
		return;
	} else {
		?>
		<div class="page-sidebar-wrapper">
			<div class="page-sidebar-tech-banker navbar-collapse collapse">
			<div class="sidebar-menu-tech-banker">
				<ul class="page-sidebar-menu-tech-banker" data-slide-speed="200">
					<div class="sidebar-search-wrapper" style="padding:20px;text-align:center">
						<a class="plugin-logo" href="<?php echo esc_attr( TECH_BANKER_SITE_URL ); ?>" target="_blank">
						<img src="<?php echo esc_attr( plugins_url( 'assets/global/img/logo.png', dirname( __FILE__ ) ) ); ?>">
					</a>
					</div>
					<li id="ux_li_like_box">
						<a href="javascript:;">
						<i class="icon-custom-like"></i>
						<span class="title">
							<?php echo esc_attr( $fbl_like_box ); ?>
						</span>
					</a>
					<ul class="sub-menu">
						<li id="ux_li_manage_like_box">
							<a href="admin.php?page=facebook_manage_like_box">
								<i class=icon-custom-wrench></i>
								<?php echo esc_attr( $fbl_manage_like_box ); ?>
							</a>
						</li>
						<li id="ux_li_add_like_box">
							<a href="admin.php?page=facebook_likebox">
								<i class="icon-custom-plus"></i>
								<?php echo esc_attr( $fbl_add_like_box ); ?>
							</a>
						</li>
					</ul>
					</li>
					<li id="ux_li_like_box_and_button">
						<a href="javascript:;">
						<i class="icon-custom-frame"></i>
						<span class="title">
							<?php echo esc_attr( $fbl_like_box_and_button ); ?>
						</span>
					</a>
					<ul class="sub-menu">
						<li id="ux_li_manage_like_box_and_button">
							<a href="admin.php?page=facebook_manage_like_box_and_button">
								<i class=icon-custom-wrench></i>
								<?php echo esc_attr( $fbl_manage_like_box_and_button ); ?>
							</a>
						</li>
						<li id="ux_li_add_like_box_and_button">
							<a href="admin.php?page=facebook_add_like_box_and_button">
								<i class="icon-custom-plus"></i>
								<?php echo esc_attr( $fbl_add_like_box_and_button ); ?>
							</a>
						</li>
					</ul>
					</li>
					<li id="ux_li_like_box_popup">
						<a href="javascript:;">
						<i class="icon-custom-social-dribbble"></i>
						<span class="badge">Pro</span>
						<span class="title">
							<?php echo esc_attr( $fbl_like_box_popup ); ?>
						</span>
					</a>
					<ul class="sub-menu">
						<li id="ux_li_manage_like_box_popup">
							<a href="admin.php?page=facebook_manage_like_box_popup">
								<i class=icon-custom-wrench></i>
								<?php echo esc_attr( $fbl_manage_like_box_popup ); ?>
							</a>
						</li>
						<li id="ux_li_add_like_box_popup">
							<a href="admin.php?page=facebook_add_like_box_popup">
								<i class="icon-custom-plus"></i>
								<?php echo esc_attr( $fbl_add_like_box_popup ); ?>
							</a>
						</li>
					</ul>
					</li>
					<li id="ux_li_like_button">
						<a href="javascript:;">
						<i class="icon-custom-grid"></i>
						<span class="title">
							<?php echo esc_attr( $fbl_like_button ); ?>
						</span>
					</a>
					<ul class="sub-menu">
						<li id="ux_li_manage_like_button">
							<a href="admin.php?page=facebook_manage_like_button">
								<i class=icon-custom-wrench></i>
								<?php echo esc_attr( $fbl_manage_like_button ); ?>
							</a>
						</li>
						<li id="ux_li_add_like_button">
							<a href="admin.php?page=facebook_add_like_button">
								<i class="icon-custom-plus"></i>
								<?php echo esc_attr( $fbl_add_like_button ); ?>
							</a>
						</li>
					</ul>
					</li>
					<li id="ux_li_sticky_like_box">
						<a href="javascript:;">
						<i class="icon-custom-tag"></i>
						<span class="badge">Pro</span>
						<span class="title">
							<?php echo esc_attr( $fbl_sticky_like_box ); ?>
						</span>
					</a>
					<ul class="sub-menu">
						<li id="ux_li_manage_sticky_like_box">
							<a href="admin.php?page=facebook_manage_sticky_like_box">
								<i class=icon-custom-wrench></i>
								<?php echo esc_attr( $fbl_manage_sticky_like_box ); ?>
							</a>
						</li>
						<li id="ux_li_add_sticky_like_box">
							<a href="admin.php?page=facebook_add_sticky_like_box">
								<i class="icon-custom-plus"></i>
								<?php echo esc_attr( $fbl_add_sticky_like_box ); ?>
							</a>
						</li>
					</ul>
					</li>
					<li id="ux_li_general_settings">
						<a href="admin.php?page=facebook_likebox_general_settings">
						<i class="icon-custom-settings"></i>
						<?php echo esc_attr( $fbl_general_settings ); ?>
					</a>
					</li>
					<li id="ux_li_roles_and_capabilities">
						<a href="admin.php?page=facebook_likebox_roles_and_capabilities">
						<i class="icon-custom-users"></i>
						<span class="badge">Pro</span>
						<?php echo esc_attr( $fbl_roles_and_capabilities ); ?>
					</a>
					</li>
					<li id="ux_li_support_forum">
							<a href="https://wordpress.org/support/plugin/facebook-likebox" target="_blank">
							<i class="icon-custom-users"></i>
							<?php echo esc_attr( $fbl_support_forum ); ?>
						</a>
					</li>
					<li id="ux_li_system_information">
						<a href="admin.php?page=facebook_likebox_system_information">
						<i class="icon-custom-screen-desktop"></i>
						<?php echo esc_attr( $fbl_system_information ); ?>
					</a>
					</li>
					<li id="ux_li_upgrade">
						<a href="https://tech-banker.com/facebook-like-box/pricing/" style="color:yellow; font-weight: bold;" target="_blank">
							<i class="icon-custom-briefcase"></i>
							<?php echo esc_attr( $fbl_premium_edition ); ?>
						</a>
					</li>
				</ul>
			</div>
		</div>
	</div>
	<div class="page-content-wrapper">
		<div class="page-content">
			<?php
	}
}
