<?php
/**
 * This File is used for Translation Strings.
 *
 * @author  Tech Banker
 * @package facebook-likebox/includes
 * @version 2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}// Exit if accessed directly
if ( ! is_user_logged_in() ) {
	return;
} else {
	$access_granted = false;
	if ( isset( $user_role_permission ) && count( $user_role_permission ) > 0 ) {
		foreach ( $user_role_permission as $permission ) {
			if ( current_user_can( $permission ) ) {
				$access_granted = true;
				break;
			}
		}
	}
	if ( ! $access_granted ) {
		return;
	} else {

		$fbl_upgrade_know_about = __( 'Know about', 'facebook-likebox' );
		$fbl_full_features      = __( 'Full Features', 'facebook-likebox' );
		$fbl_chek_our           = __( 'or check our', 'facebook-likebox' );
		$fbl_online_demos       = __( 'Online Demos', 'facebook-likebox' );
		$fbl_support_forum      = __( 'Ask For Help', 'facebook-likebox' );

		// Footer.
		$fbl_saved_likebox  = __( 'Settings Saved!', 'facebook-likebox' );
		$fbl_choose_record  = __( 'Choose at least 1 record to delete!', 'facebook-likebox' );
		$fbl_delete_likebox = __( 'Deleted Successfully!', 'facebook-likebox' );

		// Premium Edition.
		$fbl_premium_edition         = __( 'Premium Edition', 'facebook-likebox' );
		$fbl_message_premium_edition = __( 'This feature is available only in Premium Editions! <br> Kindly Purchase to unlock it!', 'facebook-likebox' );

		// Menus.
		$facebook_likebox               = 'Facebook Like Box';
		$fbl_like_box                   = __( 'Like Box', 'facebook-likebox' );
		$fbl_add_like_box               = __( 'Add Like Box', 'facebook-likebox' );
		$fbl_edit_like_box              = __( 'Edit Like Box', 'facebook-likebox' );
		$fbl_manage_like_box            = __( 'Manage Like Boxes', 'facebook-likebox' );
		$fbl_like_button                = __( 'Like Button', 'facebook-likebox' );
		$fbl_add_like_button            = __( 'Add Like Button', 'facebook-likebox' );
		$fbl_edit_like_button           = __( 'Edit Like Button', 'facebook-likebox' );
		$fbl_manage_like_button         = __( 'Manage Like Buttons', 'facebook-likebox' );
		$fbl_sticky_like_box            = __( 'Sticky Like Box', 'facebook-likebox' );
		$fbl_add_sticky_like_box        = __( 'Add Sticky Like Box', 'facebook-likebox' );
		$fbl_manage_sticky_like_box     = __( 'Manage Sticky Like Boxes', 'facebook-likebox' );
		$fbl_like_box_popup             = __( 'Like Box Popup', 'facebook-likebox' );
		$fbl_add_like_box_popup         = __( 'Add Like Box Popup', 'facebook-likebox' );
		$fbl_edit_likebox_popup         = __( 'Edit Like Box Popup', 'facebook-likebox' );
		$fbl_manage_like_box_popup      = __( 'Manage Like Box Popup', 'facebook-likebox' );
		$fbl_like_box_and_button        = __( 'Like Box & Button', 'facebook-likebox' );
		$fbl_add_like_box_and_button    = __( 'Add Like Box & Button', 'facebook-likebox' );
		$fbl_edit_like_box_and_button   = __( 'Edit Like Box & Button', 'facebook-likebox' );
		$fbl_manage_like_box_and_button = __( 'Manage Like Box & Buttons', 'facebook-likebox' );
		$fbl_general_settings           = __( 'General Settings', 'facebook-likebox' );
		$fbl_roles_and_capabilities     = __( 'Roles & Capabilities', 'facebook-likebox' );
		$fbl_support_forum              = __( 'Ask For Help', 'facebook-likebox' );
		$fbl_system_information         = __( 'System Information', 'facebook-likebox' );

		// Common Variables.
		$fbl_border_none                   = 'None';
		$fbl_border_solid                  = 'Solid';
		$fbl_border_dotted                 = 'Dotted';
		$fbl_border_dashed                 = 'Dashed';
		$fbl_position_top                  = 'Top';
		$fbl_position_bottom               = 'Bottom';
		$fbl_small                         = 'Small';
		$fbl_large                         = 'Large';
		$fbl_position_left                 = 'Left';
		$fbl_position_right                = 'Right';
		$fbl_edit_tooltip                  = __( 'Edit', 'facebook-likebox' );
		$fbl_apply                         = __( 'Apply', 'facebook-likebox' );
		$fbl_success                       = __( 'Success!', 'facebook-likebox' );
		$fbl_enable                        = __( 'Enable', 'facebook-likebox' );
		$fbl_disable                       = __( 'Disable', 'facebook-likebox' );
		$fbl_preview                       = __( 'Preview', 'facebook-likebox' );
		$fbl_save_changes                  = __( 'Save Changes', 'facebook-likebox' );
		$fbl_page_id                       = __( 'Page ID', 'facebook-likebox' );
		$fbl_page_id_url                   = __( 'Page ID/Page Url', 'facebook-likebox' );
		$fbl_page_url                      = __( 'Page URL', 'facebook-likebox' );
		$fbl_page_id_tooltip               = __( 'Provide your Facebook Page ID', 'facebook-likebox' );
		$fbl_page_id_placeholder           = __( 'Please provide Facebook Page ID', 'facebook-likebox' );
		$fbl_title                         = __( 'Title', 'facebook-likebox' );
		$fbl_title_tooltip                 = __( 'Enter Title for your Facebook Like Box', 'facebook-likebox' );
		$fbl_width                         = __( 'Width(px)', 'facebook-likebox' );
		$fbl_width_tooltip                 = __( 'Max - 500px, Min - 260px', 'facebook-likebox' );
		$fbl_height                        = __( 'Height(px)', 'facebook-likebox' );
		$fbl_height_tooltip                = __( 'Height should be Minimum 70px', 'facebook-likebox' );
		$fbl_header                        = __( 'Header', 'facebook-likebox' );
		$fbl_header_tooltip                = __( 'Choose the Size of Header', 'facebook-likebox' );
		$fbl_post_stream                   = __( 'Post Stream', 'facebook-likebox' );
		$fbl_post_stream_tooltip           = __( 'Do you want to display the latest post?', 'facebook-likebox' );
		$fbl_facebook_action               = __( 'Action', 'facebook-likebox' );
		$fbl_bulk_action                   = __( 'Bulk Action', 'facebook-likebox' );
		$fbl_delete                        = __( 'Delete', 'facebook-likebox' );
		$fbl_confirm_delete                = __( 'Are you sure ?', 'facebook-likebox' );
		$fbl_choose_action                 = __( 'Please choose an Action!', 'facebook-likebox' );
		$fbl_border_style_title            = __( 'Border Style (Width,Thickness,Color)', 'facebook-likebox' );
		$fbl_border_radius_tooltip         = __( 'Border Radius to be used', 'facebook-likebox' );
		$fbl_border_radius_title           = __( 'Border Radius (Px)', 'facebook-likebox' );
		$fbl_color_placeholder             = __( 'Color', 'facebook-likebox' );
		$fbl_show_faces                    = __( 'Show User Faces', 'facebook-likebox' );
		$fbl_show_user_faces_tooltip       = __( 'Do you want to display User Faces?', 'facebook-likebox' );
		$fbl_border_style                  = __( 'Border Style', 'facebook-likebox' );
		$fbl_border_style_tooltip          = __( 'Border Width, Thickness and Color', 'facebook-likebox' );
		$fbl_border_color                  = __( 'Border Color', 'facebook-likebox' );
		$fbl_border_color_tooltip          = __( 'Choose Border Color', 'facebook-likebox' );
		$fbl_cover_photo                   = __( 'Cover Photo', 'facebook-likebox' );
		$fbl_cover_photo_tooltip           = __( 'Do you want to display Cover Photo?', 'facebook-likebox' );
		$fbl_language                      = __( 'Language', 'facebook-likebox' );
		$fbl_language_tooltip              = __( 'Choose a Language which you would like to display', 'facebook-likebox' );
		$fbl_page_url_tooltip              = __( 'Page Url for particular Facebook Page that you want to display', 'facebook-likebox' );
		$fbl_page_url_placeholder          = __( 'Please provide your Facebook Page Url', 'facebook-likebox' );
		$fbl_shortcode                     = __( 'Shortcode', 'facebook-likebox' );
		$fbl_likebox_source                = __( 'Facebook Source', 'facebook-likebox' );
		$fbl_shortcode_title               = __( 'Shortcode', 'facebook-likebox' );
		$fbl_copied_successfully           = __( 'Copied Successfully', 'facebook-likebox' );
		$fbl_copied_failed                 = __( 'Failed to Copy. Please try again!', 'facebook-likebox' );
		$fbl_user_access_message           = __( "You don't have Sufficient Access to this Page. Kindly contact the Administrator for more Privileges", 'facebook-likebox' );
		$fbl_events                        = __( 'Events', 'facebook-likebox' );
		$fbl_events_tooltip                = __( 'Do you want to show current Events?', 'facebook-likebox' );
		$fbl_messages                      = __( 'Messages', 'facebook-likebox' );
		$fbl_messages_tooltip              = __( 'Do you want to display Messages?', 'facebook-likebox' );
		$fbl_show                          = __( 'Show', 'facebook-likebox' );
		$fbl_hide                          = __( 'Hide', 'facebook-likebox' );
		$fbl_likebox_details               = __( 'Details', 'facebook-likebox' );
		$fbl_edit_sticky_likebox           = __( 'Edit Sticky Like Box', 'facebook-likebox' );
		$fbl_like_box_preview_title        = __( 'Like Box Preview', 'facebook-likebox' );
		$fbl_like_button_preview_title     = __( 'Like Button Preview', 'facebook-likebox' );
		$fbl_sticky_like_box_preview_title = __( 'Sticky Like Box Preview', 'facebook-likebox' );
		$fbl_like_box_popup_preview_title  = __( 'Like Box Popup Preview', 'facebook-likebox' );
		$fbl_like_box_button_preview_title = __( 'Like Box & Button Preview', 'facebook-likebox' );
		$fbl_like_button_size              = __( 'Button Size', 'facebook-likebox' );
		$fbl_button                        = __( 'Button', 'facebook-likebox' );

		// like box.
		$fbl_likebox_tooltip           = __( 'Choose Facebook Source from dropdown', 'facebook-likebox' );
		$fbl_likebox_animation         = __( 'Animation Effects', 'facebook-likebox' );
		$fbl_likebox_animation_tooltip = __( 'Here you can Choose Animation Effects for Likebox', 'facebook-likebox' );

		// like Button.
		$fbl_like_button_style_title     = __( 'Button Style', 'facebook-likebox' );
		$fbl_like_button_style_tooltip   = __( 'Choose Button Style for Like Button', 'facebook-likebox' );
		$fbl_like_button_style_standard  = __( 'Standard', 'facebook-likebox' );
		$fbl_like_button_style_count     = __( 'Button Count', 'facebook-likebox' );
		$fbl_like_button_style_box_count = __( 'Box Count', 'facebook-likebox' );
		$fbl_show_faces_tooltip          = __( 'Do you want to show display User Faces?', 'facebook-likebox' );
		$fbl_action_tooltip              = __( 'Choose an action it would be like or recommend', 'facebook-likebox' );
		$fbl_share_button_title          = __( 'Share Button', 'facebook-likebox' );
		$fbl_share_button_tooltip        = __( 'Do you want to show Share Button?', 'facebook-likebox' );
		$fbl_recommended                 = __( 'Recommend', 'facebook-likebox' );
		$fbl_like_button_size_tooltip    = __( 'Choose Button Size for Like Button', 'facebook-likebox' );
		$fbl_button_type                 = __( 'Button Type', 'facebook-likebox' );
		$fbl_button_type_tooltip         = __( 'Choose Button Type for Like Button', 'facebook-likebox' );
		$fbl_like                        = __( 'Like', 'facebook-likebox' );
		$fbl_button_type_share           = __( 'Share', 'facebook-likebox' );

		// sticky facebook likebox.
		$fbl_sticky_likebox                  = __( 'Sticky Likebox', 'facebook-likebox' );
		$fbl_sticky_likebox_position         = __( 'Position', 'facebook-likebox' );
		$fbl_sticky_likebox_position_tooltip = __( 'Choose Position for Sticky Like Box', 'facebook-likebox' );

		// Likebox Popup.
		$fbl_popup_likebox_overlay_color                     = __( 'Overlay Color', 'facebook-likebox' );
		$fbl_popup_likebox_overlay_color_tooltip             = __( 'Choose color for Overlay', 'facebook-likebox' );
		$fbl_popup_likebox_overlay_opacity                   = __( 'Overlay Color Opacity (%)', 'facebook-likebox' );
		$fbl_popup_likebox_overlay_opacity_tooltip           = __( 'Max - 100,Min - 0', 'facebook-likebox' );
		$fbl_popup_likebox_display_periodicity               = __( 'Popup Display Periodicity', 'facebook-likebox' );
		$fbl_popup_likebox_display_periodicity_everytime     = __( 'Everytime', 'facebook-likebox' );
		$fbl_popup_likebox_display_periodicity_onetime       = __( 'One Time', 'facebook-likebox' );
		$fbl_popup_likebox_display_periodicity_tooltip       = __( 'Choose when to display Like Box Popup. It could be either One Time or Everytime', 'facebook-likebox' );
		$fbl_popup_likebox_time_to_display_popup             = __( 'Time to Display Like Box Popup (seconds)', 'facebook-likebox' );
		$fbl_popup_likebox_time_to_display_popup_tooltip     = __( 'Provide after what time would you like to show Popup', 'facebook-likebox' );
		$fbl_popup_likebox_time_to_display_popup_placeholder = __( 'Please provide time(seconds)', 'facebook-likebox' );

		// general settings.
		$fbl_other_general_settings_romove_tables_at_uninstall         = __( 'Remove Tables at uninstall', 'facebook-likebox' );
		$fbl_other_general_settings_remove_tables_at_uninstall_tooltip = __( 'Do you want to remove database at Uninstall of the Plugin?', 'facebook-likebox' );

		// roles and capabilities.
		$fbl_roles_and_capabilities_full_control                 = __( 'Full Control', 'facebook-likebox' );
		$fbl_roles_and_capabilities_menu                         = __( 'Show Facebook Like Box Menu', 'facebook-likebox' );
		$fbl_roles_and_capabilities_menu_tooltip                 = __( 'Choose among the following roles who would be able to see the Facebook Likebox Menu?', 'facebook-likebox' );
		$fbl_roles_and_capabilities_administrator                = __( 'Administrator', 'facebook-likebox' );
		$fbl_roles_and_capabilities_author                       = __( 'Author', 'facebook-likebox' );
		$fbl_roles_and_capabilities_editor                       = __( 'Editor', 'facebook-likebox' );
		$fbl_roles_and_capabilities_contributor                  = __( 'Contributor', 'facebook-likebox' );
		$fbl_roles_and_capabilities_subscriber                   = __( 'Subscriber', 'facebook-likebox' );
		$fbl_roles_and_capabilities_others_privileges            = __( 'Others', 'facebook-likebox' );
		$fbl_roles_and_capabilities_administrator_role           = __( 'An Administrator Role can do the following', 'facebook-likebox' );
		$fbl_roles_and_capabilities_administrator_role_tooltip   = __( 'Choose what pages would be visible to the users having Administrator Access', 'facebook-likebox' );
		$fbl_roles_and_capabilities_author_role                  = __( 'An Author Role can do the following', 'facebook-likebox' );
		$fbl_roles_and_capabilities_author_role_tooltip          = __( 'Choose what pages would be visible to the users having Author Access', 'facebook-likebox' );
		$fbl_roles_and_capabilities_editor_role                  = __( 'An Editor Role can do the following', 'facebook-likebox' );
		$fbl_roles_and_capabilities_editor_role_tooltip          = __( 'Choose what pages would be visible to the users having Editor Access', 'facebook-likebox' );
		$fbl_roles_and_capabilities_contributor_role             = __( 'A Contributor Role can do the following', 'facebook-likebox' );
		$fbl_roles_and_capabilities_contributor_role_tooltip     = __( 'Choose what pages would be visible to the users having Contributor Access', 'facebook-likebox' );
		$fbl_roles_and_capabilities_subscriber_role              = __( 'A Subscriber Role can do the following', 'facebook-likebox' );
		$fbl_roles_and_capabilities_subscriber_role_tooltip      = __( 'Choose what pages would be visible to the users having Subscriber Access', 'facebook-likebox' );
		$fbl_roles_and_capabilities_other_roles                  = __( 'An Other Roles can do the following', 'facebook-likebox' );
		$fbl_roles_and_capabilities_other_roles_tooltip          = __( 'Choose what pages would be visible to the users having Others Role Access', 'facebook-likebox' );
		$fbl_roles_and_capabilities_topbar_menu                  = __( 'Show Facebook Likebox Top Bar Menu', 'facebook-likebox' );
		$fbl_roles_and_capabilities_topbar_menu_tooltip          = __( 'Do you want to show Facebook Likebox menu in Top Bar?', 'facebook-likebox' );
		$fbl_roles_capabilities_other_roles_capabilities         = __( 'Please tick the appropriate capabilities for security purposes', 'facebook-likebox' );
		$fbl_roles_capabilities_other_roles_capabilities_tooltip = __( 'Only users with these capabilities can access Facebook Like Box', 'facebook-likebox' );
	}
}
