<?php
/**
 * This File is used to delete tables schedulers and options on Uninstall hook.
 *
 * @author  Tech Banker
 * @package facebook-likebox
 * @version 2.0.0
 */

if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	die;
}
if ( ! current_user_can( 'manage_options' ) ) {
	return;
} else {
	global $wpdb;
	if ( is_multisite() ) {
		$blog_ids = $wpdb->get_col( "SELECT blog_id FROM $wpdb->blogs" );// WPCS: db call ok, no-cache ok.
		foreach ( $blog_ids as $blog_id ) {
			switch_to_blog( $blog_id );// @codingStandardsIgnoreLine.
			$version = get_option( 'facebook-likebox-version-number' );
			if ( false !== $version ) {
					global $wp_version, $wpdb;
				$general_settings      = $wpdb->get_var(
					$wpdb->prepare(
						'SELECT meta_value FROM ' . $wpdb->prefix . 'facebook_likebox_meta WHERE meta_key=%s', 'general_settings'
					)
				);// WPCS: db call ok, no-cache ok.
				$general_settings_data = maybe_unserialize( $general_settings );
				if ( 'enable' === esc_attr( $general_settings_data['remove_tables_uninstall'] ) ) {
					$wpdb->query( 'DROP TABLE IF EXISTS ' . $wpdb->prefix . 'facebook_likebox_parent' );// @codingStandardsIgnoreLine.
					$wpdb->query( 'DROP TABLE IF EXISTS ' . $wpdb->prefix . 'facebook_likebox_meta' );// @codingStandardsIgnoreLine.
					// Delete options.
					delete_option( 'facebook-likebox-version-number' );
					delete_option( 'fbl_admin_notice' );
				}
			}
			restore_current_blog();
		}
	} else {
		$facebook_likebox_version_number = get_option( 'facebook-likebox-version-number' );
		if ( false !== $facebook_likebox_version_number ) {
			global $wp_version, $wpdb;

			$general_settings      = $wpdb->get_var(
				$wpdb->prepare(
					'SELECT meta_value FROM ' . $wpdb->prefix . 'facebook_likebox_meta WHERE meta_key=%s', 'general_settings'
				)
			);// WPCS: db call ok, no-cache ok.
			$general_settings_data = maybe_unserialize( $general_settings );

			if ( 'enable' === esc_attr( $general_settings_data['remove_tables_uninstall'] ) ) {

				// Drop Tables.
				$wpdb->query( 'DROP TABLE IF EXISTS ' . $wpdb->prefix . 'facebook_likebox_parent' );// @codingStandardsIgnoreLine.
				$wpdb->query( 'DROP TABLE IF EXISTS ' . $wpdb->prefix . 'facebook_likebox_meta' );// @codingStandardsIgnoreLine.
				// Delete options.
				delete_option( 'facebook-likebox-version-number' );
				delete_option( 'fbl_admin_notice' );
			}
		}
	}
}
