<?php
/**
 * This File contains frontend css.
 *
 * @author Tech Banker
 * @package facebook-likebox/user-views/styles
 * @version 2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}// Exit if accessed directly
if ( ! function_exists( 'hex2rgb' ) ) {
	/**
	 * This function is used to convert the hex into rgb.
	 *
	 * @param string $hex .
	 */
	function hex2rgb( $hex ) {
		$hex = str_replace( '#', '', $hex );
		if ( strlen( $hex ) === 3 ) {
			$r = hexdec( substr( $hex, 0, 1 ) . substr( $hex, 0, 1 ) );
			$g = hexdec( substr( $hex, 1, 1 ) . substr( $hex, 1, 1 ) );
			$b = hexdec( substr( $hex, 2, 1 ) . substr( $hex, 2, 1 ) );
		} else {
			$r = hexdec( substr( $hex, 0, 2 ) );
			$g = hexdec( substr( $hex, 2, 2 ) );
			$b = hexdec( substr( $hex, 4, 2 ) );
		}
		$rgb = array( $r, $g, $b );
		return $rgb;
	}
}
?>
<style>
<?php
if ( isset( $case_type ) ) {
	switch ( $case_type ) {
		case 'like_box':
			$border_style = isset( $fbl_unserialized_data['border_style'] ) ? explode( ',', $fbl_unserialized_data['border_style'] ) : '';
			?>
			.iframe_class_<?php echo intval( $unique_id ); ?>
			{
				border: <?php echo isset( $border_style[0] ) ? esc_attr( $border_style[0] ) : ''; ?>px <?php echo isset( $border_style[1] ) ? esc_attr( $border_style[1] ) : ''; ?> <?php echo isset( $border_style[2] ) ? esc_attr( $border_style[2] ) : ''; ?> !important;
				width: <?php echo isset( $fbl_unserialized_data['width'] ) ? intval( $fbl_unserialized_data['width'] ) : ''; ?>px !important;
				height: <?php echo isset( $fbl_unserialized_data['height'] ) ? intval( $fbl_unserialized_data['height'] ) : ''; ?>px !important;
				border-radius: <?php echo isset( $fbl_unserialized_data['border_radius'] ) ? intval( $fbl_unserialized_data['border_radius'] ) : ''; ?>px !important;
				-webkit-border-radius: <?php echo isset( $fbl_unserialized_data['border_radius'] ) ? intval( $fbl_unserialized_data['border_radius'] ) : ''; ?>px !important;
				-moz-border-radius: <?php echo isset( $fbl_unserialized_data['border_radius'] ) ? intval( $fbl_unserialized_data['border_radius'] ) : ''; ?>px !important;
				-o-border-radius: <?php echo isset( $fbl_unserialized_data['border_radius'] ) ? intval( $fbl_unserialized_data['border_radius'] ) : ''; ?>px !important;
				overflow: hidden !important;
			}
			<?php
			break;

		case 'like_box_popup':
			$border_style = isset( $fbl_unserialized_data['border_style'] ) ? explode( ',', $fbl_unserialized_data['border_style'] ) : '';
			$color        = isset( $fbl_unserialized_data['overlay_color'] ) ? hex2rgb( $fbl_unserialized_data['overlay_color'] ) : '';
			$opacity      = isset( $fbl_unserialized_data['overlay_opacity'] ) ? $fbl_unserialized_data['overlay_opacity'] / 100 : '';
			?>
			.popup
			{
				background-color: rgba(<?php echo esc_attr( $color[0] ) . ',' . esc_attr( $color[1] ) . ',' . esc_attr( $color[2] ) . ',' . esc_attr( $opacity ); ?>) !important;
			}
			.popup-likebox-container_<?php echo intval( $unique_id ); ?>
			{
				position:absolute;
				top :50%;
				left :50%;
				-webkit-transform :translate(-50%, -50%);
				transform:translate(-50%, -50%);
				box-shadow :0px 2px 6px rgba(0,0,0,1);
				overflow : auto !important;
				background : #fff;
				border-radius : <?php echo isset( $fbl_unserialized_data['border_radius'] ) ? intval( $fbl_unserialized_data['border_radius'] ) : ''; ?>px !important;
				-webkit-border-radius : <?php echo isset( $fbl_unserialized_data['border_radius'] ) ? intval( $fbl_unserialized_data['border_radius'] ) : ''; ?>px !important;
				-moz-border-radius : <?php echo isset( $fbl_unserialized_data['border_radius'] ) ? intval( $fbl_unserialized_data['border_radius'] ) : ''; ?>px !important;
				-o-border- : <?php echo isset( $fbl_unserialized_data['border_radius'] ) ? intval( $fbl_unserialized_data['border_radius'] ) : ''; ?>px !important;
				border: <?php echo isset( $border_style[0] ) ? intval( $border_style[0] ) : ''; ?>px <?php echo isset( $border_style[1] ) ? esc_attr( $border_style[1] ) : ''; ?> <?php echo isset( $border_style[2] ) ? esc_attr( $border_style[2] ) : ''; ?> !important;
			}
			.btn-fbl-close_<?php echo intval( $unique_id ); ?>
			{
				background-color: <?php echo isset( $border_style[2] ) ? esc_attr( $border_style[2] ) : ''; ?> !important;
				padding-top: 4px;
				padding-right: 5px;
			}
			.fbl-popup-body_<?php echo intval( $unique_id ); ?>
			{
				position: relative;
			}
			.fbl-popup-footer_<?php echo intval( $unique_id ); ?>
			{
				text-align: right;
			}
			.popup-close-button
			{
				cursor:pointer !important;
				color: #000000 !important;
				font-size:20px !important;
			}
			.like-box-popup_<?php echo intval( $unique_id ); ?>
			{
				width: <?php echo intval( $fbl_unserialized_data['width'] ); ?>px;
				height: <?php echo intval( $fbl_unserialized_data['height'] ); ?>px;
			}
			<?php
			break;

		case 'sticky_like_box':
			$border_style  = isset( $fbl_unserialized_data['sticky_likebox_border_style'] ) ? explode( ',', $fbl_unserialized_data['sticky_likebox_border_style'] ) : '';
			$bottom_border = isset( $border_style[0] ) ? $border_style[0] * 2 : '';
			?>
			.slide-out-div
			{
				width: <?php echo intval( $fbl_unserialized_data['sticky_likebox_width'] ); ?>px !important;
				height: <?php echo intval( $fbl_unserialized_data['sticky_likebox_height'] ) + $bottom_border; ?>px !important;
				border-radius: <?php echo isset( $fbl_unserialized_data['sticky_likebox_border_radius'] ) ? intval( $fbl_unserialized_data['sticky_likebox_border_radius'] ) : ''; ?>px !important;
				border: <?php echo isset( $border_style[0] ) ? intval( $border_style[0] ) : ''; ?>px <?php echo isset( $border_style[1] ) ? esc_attr( $border_style[1] ) : ''; ?> <?php echo isset( $border_style[2] ) ? esc_attr( $border_style[2] ) : ''; ?> !important;
				z-index: 10 !important;
			<?php
			if ( 'top' === $fbl_unserialized_data['sticky_likebox_position'] || 'bottom' === $fbl_unserialized_data['sticky_likebox_position'] ) {
				?>
					left: 32% !important;
				<?php
			}
			?>
				background-color: #fff !important;
			}
			.sticky_likebox_iframe_class_<?php echo intval( $unique_id ); ?>
			{
				overflow:hidden !important;
				width: <?php echo intval( $fbl_unserialized_data['sticky_likebox_width'] ); ?>px !important;
				height: <?php echo intval( $fbl_unserialized_data['sticky_likebox_height'] ); ?>px !important;
			}
			.handle
			{
				display: block !important;
				outline: medium none !important;
				position: absolute !important;
				border-radius: <?php echo isset( $fbl_unserialized_data['sticky_likebox_border_radius'] ) ? intval( $fbl_unserialized_data['sticky_likebox_border_radius'] ) : ''; ?>px !important;
			<?php
			if ( 'left' === $fbl_unserialized_data['sticky_likebox_position'] || 'right' === $fbl_unserialized_data['sticky_likebox_position'] ) {
				?>
					background-image: url("<?php echo esc_attr( plugins_url( 'assets/global/img/fb-2.gif', dirname( dirname( __FILE__ ) ) ) ); ?>") !important;
					width: 50px !important;
					height: 122px !important;
					top: <?php echo isset( $border_style[0] ) ? intval( $border_style[0] ) : ''; ?>px !important;
				<?php
			} else {
				?>
					background-image: url("<?php echo esc_attr( plugins_url( 'assets/global/img/fb-1.gif', dirname( dirname( __FILE__ ) ) ) ); ?>") !important;
					width: 122px !important;
					height: 50px !important;
					right: <?php echo isset( $border_style[0] ) ? intval( $border_style[0] ) : ''; ?>px !important;
				<?php
			}
			?>
			}
			<?php
			break;

		case 'like_button':
			$border_style = isset( $fbl_unserialized_data['border_style'] ) ? explode( ',', $fbl_unserialized_data['border_style'] ) : '';
			?>
			.facebook_like_button_container_<?php echo intval( $unique_id ); ?>
			{
				max-width: <?php echo isset( $fbl_unserialized_data['width'] ) ? intval( $fbl_unserialized_data['width'] ) : ''; ?>px !important;
				padding: 5px !important;
				overflow: hidden !important;
			}
			.like-button_<?php echo intval( $unique_id ); ?>
			{
				width: <?php echo intval( $fbl_unserialized_data['width'] ); ?>px;
			}
			.facebook_like_button_container_<?php echo intval( $unique_id ); ?>,
			.like-button_<?php echo intval( $unique_id ); ?>
			{
			<?php
			if ( 'large' === $fbl_unserialized_data['button_size'] && 'box_count' === $fbl_unserialized_data['button_style'] ) {
				?>
					height: 100px !important;
				<?php
			} else {
				?>
					height: 70px !important;
				<?php
			}
			?>
			}
			<?php
			break;
		case 'like_box_button':
			$border_style = isset( $fbl_unserialized_data['border_style'] ) ? explode( ',', $fbl_unserialized_data['border_style'] ) : '';
			?>
			#like_box_button_container_<?php echo intval( $unique_id ); ?>
			{
				max-width: <?php echo isset( $fbl_unserialized_data['width'] ) ? intval( $fbl_unserialized_data['width'] ) : ''; ?>px !important;
				border-radius: <?php echo isset( $fbl_unserialized_data['border_radius'] ) ? intval( $fbl_unserialized_data['border_radius'] ) : ''; ?>px !important;
				-webkit-border-radius: <?php echo isset( $fbl_unserialized_data['border_radius'] ) ? intval( $fbl_unserialized_data['border_radius'] ) : ''; ?>px !important;
				-moz-border-radius: <?php echo isset( $fbl_unserialized_data['border_radius'] ) ? intval( $fbl_unserialized_data['border_radius'] ) : ''; ?>px !important;
				-o-border-radius: <?php echo isset( $fbl_unserialized_data['border_radius'] ) ? intval( $fbl_unserialized_data['border_radius'] ) : ''; ?>px !important;
				border: <?php echo isset( $border_style[0] ) ? intval( $border_style[0] ) : ''; ?>px <?php echo isset( $border_style[1] ) ? esc_attr( $border_style[1] ) : ''; ?> <?php echo isset( $border_style[2] ) ? esc_attr( $border_style[2] ) : ''; ?> !important;
				z-index: 0 !important;
				overflow: hidden !important;
			}
			.iframe_class_<?php echo intval( $unique_id ); ?>
			{
				width: <?php echo intval( $fbl_unserialized_data['width'] ); ?>px;
				height: <?php echo intval( $fbl_unserialized_data['height'] ); ?>px;
			}
			.iframe_like_button_<?php echo intval( $unique_id ); ?>
			{
				width: <?php echo intval( $fbl_unserialized_data['width'] ); ?>px;
			}
			<?php
			if ( 'large' === $fbl_unserialized_data['button_size'] && 'box_count' === $fbl_unserialized_data['button_style'] ) {
				?>
				.like-button-div
				{
					height: 100px;
					padding: 5px;
				}
				<?php
			} else {
				?>
				.like-button-div
				{
					height: 70px;
					padding: 5px;
				}
				<?php
			}
			break;
	}
}

if ( isset( $display_type ) ) {
	switch ( $display_type ) {
		case 'like box':
			?>
			.iframe_class_<?php echo intval( $unique_id ); ?>
			{
				border-radius: <?php echo isset( $border_radius ) ? intval( $border_radius ) : ''; ?>px !important;
				-webkit-border-radius: <?php echo isset( $border_radius ) ? intval( $border_radius ) : ''; ?>px !important;
				-moz-border-radius: <?php echo isset( $border_radius ) ? intval( $border_radius ) : ''; ?>px !important;
				-o-border-radius: <?php echo isset( $border_radius ) ? intval( $border_radius ) : ''; ?>px !important;
				border: <?php echo isset( $border_width ) ? intval( $border_width ) : ''; ?>px <?php echo isset( $border_style ) ? esc_attr( $border_style ) : ''; ?> <?php echo isset( $border_color ) ? esc_attr( $border_color ) : ''; ?> !important;
				z-index: 0 !important;
				overflow: hidden !important;
			}
			<?php
			break;

		case 'like box button':
			?>
			.facebook_like_box_button_container_<?php echo intval( $unique_id ); ?>
			{
				border-radius: <?php echo isset( $border_radius ) ? intval( $border_radius ) : ''; ?>px !important;
				-webkit-border-radius: <?php echo isset( $border_radius ) ? intval( $border_radius ) : ''; ?>px !important;
				-moz-border-radius: <?php echo isset( $border_radius ) ? intval( $border_radius ) : ''; ?>px !important;
				-o-border-radius: <?php echo isset( $border_radius ) ? intval( $border_radius ) : ''; ?>px !important;
				border: <?php echo isset( $border_width ) ? intval( $border_width ) : ''; ?>px <?php echo isset( $border_style ) ? esc_attr( $border_style ) : ''; ?> <?php echo isset( $border_color ) ? esc_attr( $border_color ) : ''; ?> !important;
				z-index: 0 !important;
				overflow: hidden !important;
			}
			<?php
			break;
	}
}
?>
</style>
