<?php
/**
 * This File is used for general settings.
 *
 * @author  Tech Banker
 * @package facebook-likebox/views
 * @version 2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}// Exit if accessed directly
if ( ! is_user_logged_in() ) {
	return;
} else {
	$access_granted = false;
	if ( isset( $user_role_permission ) && count( $user_role_permission ) > 0 ) {
		foreach ( $user_role_permission as $permission ) {
			if ( current_user_can( $permission ) ) {
				$access_granted = true;
				break;
			}
		}
	}
	if ( ! $access_granted ) {
		return;
	} elseif ( GENERAL_SETTINGS_FACEBOOK_LIKEBOX === '1' ) {
		$likebox_general_settings_nonce = wp_create_nonce( 'likebox_general_settings_nonce' );
		?>
		<div class="page-bar">
			<ul class="page-breadcrumb">
			<li>
				<i class="icon-custom-home"></i>
				<a href="admin.php?page=facebook_manage_like_box">
					<?php echo esc_attr( $facebook_likebox ); ?>
				</a>
				<span>></span>
			</li>
			<li>
				<span>
					<?php echo esc_attr( $fbl_general_settings ); ?>
				</span>
			</li>
		</ul>
	</div>
	<div class="row">
		<div class="col-md-12">
			<div class="portlet box vivid-green">
				<div class="portlet-title">
					<div class="caption">
						<i class="icon-custom-settings"></i>
						<?php echo esc_attr( $fbl_general_settings ); ?>
					</div>
					<p class="premium-editions-facebook-likebox">
						<?php echo esc_attr( $fbl_upgrade_know_about ); ?> <a href="<?php echo esc_attr( TECH_BANKER_SITE_URL ); ?>" target="_blank" class="premium-editions-documentation"> <?php echo esc_attr( $fbl_full_features ); ?></a> <?php echo esc_attr( $fbl_chek_our ); ?> <a href="<?php echo esc_attr( TECH_BANKER_SITE_URL ); ?>/backend-demos" target="_blank" class="premium-editions-documentation"><?php echo esc_attr( $fbl_online_demos ); ?></a>
					</p>
				</div>
				<div class="portlet-body form">
					<form id="ux_frm_general_settings">
						<div class="form-body">
							<div class="form-group">
								<label class="control-label">
									<?php echo esc_attr( $fbl_other_general_settings_romove_tables_at_uninstall ); ?> :
									<span class="required" aria-required="true">*</span>
								</label>
								<select id="ux_ddl_general_settings_table_remove_table" name="ux_ddl_general_settings_table_remove_table" class="form-control">
									<option value="enable"><?php echo esc_attr( $fbl_enable ); ?></option>
									<option value="disable"><?php echo esc_attr( $fbl_disable ); ?></option>
								</select>
								<i class="controls-description"><?php echo esc_attr( $fbl_other_general_settings_remove_tables_at_uninstall_tooltip ); ?></i>
							</div>
						<div class="line-separator"></div>
						<div class="form-actions">
							<div class="pull-right">
								<input type="submit" class="btn vivid-green" id="ux_btn_add_sticky_likebox" name="ux_btn_add_sticky_likebox" value="<?php echo esc_attr( $fbl_save_changes ); ?>">
							</div>
						</div>
					</div>
				</div>
			</form>
			</div>
		</div>
	</div>
		<?php
	} else {
		?>
		<div class="page-bar">
			<ul class="page-breadcrumb">
			<li>
				<i class="icon-custom-home"></i>
				<a href="admin.php?page=facebook_manage_like_box">
					<?php echo esc_attr( $facebook_likebox ); ?>
				</a>
				<span>></span>
			</li>
			<li>
				<span>
					<?php echo esc_attr( $fbl_general_settings ); ?>
				</span>
			</li>
		</ul>
	</div>
	<div class="row">
		<div class="col-md-12">
			<div class="portlet box vivid-green">
				<div class="portlet-title">
					<div class="caption">
						<i class="icon-custom-settings"></i>
						<?php echo esc_attr( $fbl_general_settings ); ?>
					</div>
				</div>
				<div class="portlet-body form">
					<div class="form-body">
						<strong><?php echo esc_attr( $fbl_user_access_message ); ?></strong>
					</div>
				</div>
			</div>
		</div>
		<?php
	}
}
