<?php
/**
 * This File is used to manage like box popup.
 *
 * @author  Tech Banker
 * @package facebook-likebox/views
 * @version 2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}// Exit if accessed directly
if ( ! is_user_logged_in() ) {
	return;
} else {
	$access_granted = false;
	if ( isset( $user_role_permission ) && count( $user_role_permission ) > 0 ) {
		foreach ( $user_role_permission as $permission ) {
			if ( current_user_can( $permission ) ) {
				$access_granted = true;
				break;
			}
		}
	}
	if ( ! $access_granted ) {
		return;
	} elseif ( LIKE_BOX_POPUP_FACEBOOK_LIKEBOX === '1' ) {
		$likebox_single_delete_nonce = wp_create_nonce( 'likebox_single_delete_nonce' );
		?>
		<div class="page-bar">
			<ul class="page-breadcrumb">
			<li>
				<i class="icon-custom-home"></i>
				<a href="admin.php?page=facebook_manage_like_box">
					<?php echo esc_attr( $facebook_likebox ); ?>
				</a>
				<span>></span>
			</li>
			<li>
				<a href="admin.php?page=facebook_manage_like_box_popup">
					<?php echo esc_attr( $fbl_like_box_popup ); ?>
				</a>
				<span>></span>
			</li>
			<li>
				<span>
					<?php echo esc_attr( $fbl_manage_like_box_popup ); ?>
				</span>
			<li>
			</ul>
		</div>
		<div class="row">
			<div class="col-md-12">
			<div class="portlet box vivid-green">
				<div class="portlet-title">
					<div class="caption">
						<i class="icon-custom-wrench"></i>
						<?php echo esc_attr( $fbl_manage_like_box_popup ); ?>
					</div>
					<p class="premium-editions-facebook-likebox">
						<?php echo esc_attr( $fbl_upgrade_know_about ); ?> <a href="<?php echo esc_attr( TECH_BANKER_SITE_URL ); ?>" target="_blank" class="premium-editions-documentation"> <?php echo esc_attr( $fbl_full_features ); ?></a> <?php echo esc_attr( $fbl_chek_our ); ?> <a href="<?php echo esc_attr( TECH_BANKER_SITE_URL ); ?>/backend-demos" target="_blank" class="premium-editions-documentation"><?php echo esc_attr( $fbl_online_demos ); ?></a>
					</p>
				</div>
				<div class="portlet-body form">
					<form id="ux_frm_manage_like_box_popup">
						<div class="form-body">
						<div class="form-actions">
							<div class="table-top-margin">
								<select name="ux_ddl_facebook_likebox" id="ux_ddl_facebook_likebox" class="custom-bulk-width">
									<option value=""><?php echo esc_attr( $fbl_bulk_action ); ?></option>
									<option value="delete" style="color:red;"><?php echo esc_attr( $fbl_delete ) . ' (' . esc_attr( $fbl_premium_edition ) . ' ) '; ?></option>
								</select>
								<input type="button" class="btn vivid-green" name="ux_btn_facebook_apply" id="ux_btn_facebook_apply" <?php echo esc_attr( $fbl_delete_likebox ); ?> value="<?php echo esc_attr( $fbl_apply ); ?>" onclick="premium_edition_notification_facebook_likebox();">
								<a href="admin.php?page=facebook_add_like_box_popup" class="btn vivid-green"><?php echo esc_attr( $fbl_add_like_box_popup ); ?></a>
							</div>
							<div class="line-separator"></div>
							<table class="table table-striped table-bordered table-hover table-margin-top" id="ux_tbl_facebook_likebox_box_popup">
								<thead>
									<tr>
									<th style="text-align:center;width: 5%;" class="chk-action">
										<input type="checkbox" class="custom-chkbox-operation" name="ux_chk_facebook_all_user" id="ux_chk_facebook_all_user">
									</th>
									<th style="width:70%;">
										<label class="control-label">
											<?php echo esc_attr( $fbl_likebox_details ); ?>
										</label>
									</th>
									<th style="width:17%;text-align:center;">
										<label class="control-label">
											<?php echo esc_attr( $fbl_facebook_action ); ?>
										</label>
									</th>
								</tr>
								</thead>
								<tbody>
									<?php
									foreach ( $manage_popup_likebox as $data ) {
										?>
										<tr>
										<td class="chk-action" style="text-align:center;width: 5%;">
											<input type="checkbox" name="ux_chk_likebox" onclick="check_all_facebook_likebox('ux_chk_facebook_all_user');" id="ux_chk_likebox" value="<?php echo isset( $data['meta_id'] ) ? intval( $data['meta_id'] ) : ''; ?>">
										</td>
										<td>
											<label class="control-label">
												<strong>
												<?php echo esc_attr( $fbl_title ); ?> :
											</strong>
												<?php echo isset( $data['title'] ) ? esc_attr( $data['title'] ) : ''; ?>
											</label></br>
											<label class="control-label">
												<strong>
												<?php echo esc_attr( $fbl_page_id_url ); ?> :
											</strong>
												<?php echo isset( $data['likebox_source_type'] ) && 'page_url' === $data['likebox_source_type'] ? esc_attr( $data['page_url'] ) : esc_attr( $data['page_id'] ); ?>
											</label></br>
											<label class="control-label">
												<strong>
												<?php echo esc_attr( $fbl_shortcode ); ?> :
											</strong>
											<div class="icon-custom-docs pull-right" style="font-size:18px;" data-clipboard-action="copy" data-clipboard-target="#ux_shortcode_<?php echo intval( $data['meta_id'] ); ?>"></div>
											<textarea rows='1' class="form-control" readonly id="ux_shortcode_<?php echo intval( $data['meta_id'] ); ?>">[facebook_likebox case_type="like_box_popup" fbl_id="<?php echo intval( $data['meta_id'] ); ?>"][/facebook_likebox]</textarea>
											</label>
										</td>
										<td class="custom-alternative">
											<a href="javascript:void(0);" class="btn facebook-likebox-buttons" onclick='facebook_likebox_preview_likebox("facebook_likebox_popup_preview", "<?php echo esc_attr( $facebook_likebox_popup_preview_nonce ); ?>", "likebox_dummy_form", "<?php echo intval( $data['meta_id'] ); ?>")'><?php echo esc_attr( $fbl_preview ); ?></a>
											<a href="admin.php?page=facebook_add_like_box_popup&meta_id=<?php echo intval( $data['meta_id'] ); ?>" class="btn facebook-likebox-buttons"><?php echo esc_attr( $fbl_edit_tooltip ); ?></a>
											<a href="javascript:void(0);" class="btn facebook-likebox-buttons" onclick="delete_record_facebook_likebox(<?php echo isset( $data['meta_id'] ) ? intval( $data['meta_id'] ) : ''; ?>, 'facebook_manage_like_box_popup', '<?php echo esc_attr( $fbl_delete_likebox ); ?>')"><?php echo esc_attr( $fbl_delete ); ?></a>
										</td>
										</tr>
										<?php
									}
									?>
								</tbody>
							</table>
						</div>
						</div>
					</form>
				</div>
			</div>
			</div>
		</div>
		<?php
	} else {
		?>
		<div class="page-bar">
			<ul class="page-breadcrumb">
			<li>
				<i class="icon-custom-home"></i>
				<a href="admin.php?page=facebook_manage_like_box">
					<?php echo esc_attr( $facebook_likebox ); ?>
				</a>
				<span>></span>
			</li>
			<li>
				<a href="admin.php?page=facebook_manage_like_box_popup">
					<?php echo esc_attr( $fbl_like_box_popup ); ?>
				</a>
				<span>></span>
			</li>
			<li>
				<span>
					<?php echo esc_attr( $fbl_manage_like_box_popup ); ?>
				</span>
			<li>
			</ul>
		</div>
		<div class="row">
			<div class="col-md-12">
			<div class="portlet box vivid-green">
				<div class="portlet-title">
					<div class="caption">
						<i class="icon-custom-wrench"></i>
						<?php echo esc_attr( $fbl_manage_like_box_popup ); ?>
					</div>
				</div>
				<div class="portlet-body form">
					<div class="form-body">
						<strong><?php echo esc_attr( $fbl_user_access_message ); ?></strong>
					</div>
				</div>
			</div>
		</div>
	</div>
		<?php
	}
}
