<?php
/**
 * This File is used to add like box.
 *
 * @author  Tech Banker
 * @package facebook-likebox/views
 * @version 2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}// Exit if accessed directly
if ( ! is_user_logged_in() ) {
	return;
} else {
	$access_granted = false;
	if ( isset( $user_role_permission ) && count( $user_role_permission ) > 0 ) {
		foreach ( $user_role_permission as $permission ) {
			if ( current_user_can( $permission ) ) {
				$access_granted = true;
				break;
			}
		}
	}
	if ( ! $access_granted ) {
		return;
	} elseif ( LIKE_BOX_FACEBOOK_LIKEBOX === '1' ) {
		$fbl_add_likebox                = wp_create_nonce( 'facebook_add_likebox' );
		$facebook_likebox_preview_nonce = wp_create_nonce( 'facebook_likebox_preview_nonce' );
		$likebox_border_style           = isset( $likebox_data['border_style'] ) ? explode( ',', esc_attr( $likebox_data['border_style'] ) ) : '';
		?>
		<div class="page-bar">
			<ul class="page-breadcrumb">
				<li>
					<i class="icon-custom-home"></i>
					<a href="admin.php?page=facebook_manage_like_box">
						<?php echo esc_attr( $facebook_likebox ); ?>
					</a>
					<span>></span>
				</li>
				<li>
					<a href="admin.php?page=facebook_manage_like_box">
						<?php echo esc_attr( $fbl_like_box ); ?>
					</a>
					<span>></span>
				</li>
				<li>
					<span>
						<?php echo isset( $_REQUEST['meta_id'] ) ? esc_attr( $fbl_edit_like_box ) : esc_attr( $fbl_add_like_box ); // WPCS: CSRF ok, input var ok. ?>
					</span>
			</li>
		</ul>
	</div>
	<div class="row">
		<div class="col-md-12">
			<div class="portlet box vivid-green">
				<div class="portlet-title">
					<div class="caption">
						<i class="icon-custom-plus"></i>
						<?php echo isset( $_REQUEST['meta_id'] ) ? esc_attr( $fbl_edit_like_box ) : esc_attr( $fbl_add_like_box ); // WPCS: CSRF ok, input var ok. ?>
					</div>
					<p class="premium-editions-facebook-likebox">
						<?php echo esc_attr( $fbl_upgrade_know_about ); ?> <a href="<?php echo esc_attr( TECH_BANKER_SITE_URL ); ?>" target="_blank" class="premium-editions-documentation"> <?php echo esc_attr( $fbl_full_features ); ?></a> <?php echo esc_attr( $fbl_chek_our ); ?> <a href="<?php echo esc_attr( TECH_BANKER_SITE_URL ); ?>/backend-demos" target="_blank" class="premium-editions-documentation"><?php echo esc_attr( $fbl_online_demos ); ?></a>
					</p>
				</div>
				<div class="portlet-body form">
					<form id="ux_frm_add_likebox">
						<div class="form-body">
						<div class="form-actions">
							<div class="pull-right">
								<input type="button" class="btn vivid-green" id="ux_preview_btn_add_likebox" name="ux_preview_btn_add_likebox"  value="<?php echo esc_attr( $fbl_preview ); ?>" onclick='facebook_likebox_preview_likebox("facebook_likebox_preview", "<?php echo esc_attr( $facebook_likebox_preview_nonce ); ?>", "ux_frm_add_likebox", "0")'>
								<input type="submit" class="btn vivid-green" id="ux_btn_add_likebox" name="ux_btn_add_likebox" value="<?php echo esc_attr( $fbl_save_changes ); ?>">
							</div>
						</div>
						<div class="line-separator"></div>
						<div class="row">
							<div class="col-md-12">
								<div class="form-group">
									<label class="control-label">
									<?php echo esc_attr( $fbl_likebox_source ); ?> :
									<span class="required" aria-required="true">*</span>
								</label>
								<select id="ux_ddl_fb_likebox_source" name="ux_ddl_fb_likebox_source" class="form-control" onchange="page_id_and_url_show_for_facebook_likebox();">
									<option value="page_url"><?php echo esc_attr( $fbl_page_url ); ?></option>
									<option value="page_id"><?php echo esc_attr( $fbl_page_id ); ?></option>
								</select>
								<i class="controls-description"><?php echo esc_attr( $fbl_likebox_tooltip ); ?></i>
							</div>
						</div>
						</div>
						<div class="row">
							<div class="col-md-12" id="ux_div_facebook_likebox_page_url">
								<div class="form-group">
									<label class="control-label">
										<?php echo esc_attr( $fbl_page_url ); ?> :
									<span class="required" aria-required="true">*</span>
								</label>
								<input type="text" class="form-control" name="ux_txt_likebox_page_url" id="ux_txt_likebox_page_url"  value="<?php echo isset( $likebox_data['page_url'] ) ? esc_attr( $likebox_data['page_url'] ) : 'http://www.facebook.com/techbanker'; ?>" placeholder="<?php echo esc_attr( $fbl_page_url_placeholder ); ?>" >
								<i class="controls-description"><?php echo esc_attr( $fbl_page_url_tooltip ); ?></i>
							</div>
						</div>
						</div>
						<div class="row">
							<div class="col-md-12" id="ux_div_facebook_likebox_page_id">
								<div class="form-group">
									<label class="control-label">
										<?php echo esc_attr( $fbl_page_id ); ?> :
									<span class="required" aria-required="true">*</span>
								</label>
								<input type="text" class="form-control" name="ux_txt_likebox_page_id" id="ux_txt_likebox_page_id" value="<?php echo isset( $likebox_data['page_id'] ) ? esc_attr( $likebox_data['page_id'] ) : 'techbanker'; ?>" placeholder="<?php echo esc_attr( $fbl_page_id_placeholder ); ?>" >
								<i class="controls-description"><?php echo esc_attr( $fbl_page_id_tooltip ); ?></i>
							</div>
						</div>
						</div>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label">
										<?php echo esc_attr( $fbl_title ); ?> :
									<span class="required" aria-required="true">*</span>
								</label>
								<input type="text" class="form-control" name="ux_txt_likebox_title" id="ux_txt_likebox_title" value="<?php echo isset( $likebox_data['title'] ) ? esc_attr( $likebox_data['title'] ) : 'Tech-Banker'; ?>" placeholder="<?php echo esc_attr( $fbl_title ); ?>" >
								<i class="controls-description"><?php echo esc_attr( $fbl_title_tooltip ); ?></i>
							</div>
						</div>
						<div class="col-md-6">
							<div class="form-group">
								<label class="control-label">
									<?php echo esc_attr( $fbl_language ); ?> :
									<span class="required" aria-required="true">*</span>
								</label>
								<select id="ux_ddl_likebox_language" name="ux_ddl_likebox_language" class="form-control" >
									<?php
									foreach ( $fbl_langs as $key => $val ) {
										?>
										<option value="<?php echo esc_attr( $key ); ?>"><?php echo esc_attr( $val ); ?></option>
										<?php
									}
									?>
								</select>
								<i class="controls-description"><?php echo esc_attr( $fbl_language_tooltip ); ?></i>
							</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label">
										<?php echo esc_attr( $fbl_width ); ?> :
									<span class="required" aria-required="true">*</span>
								</label>
								<input type="text" class="form-control"  maxlength="3" name="ux_txt_likebox_width" id="ux_txt_likebox_width" onblur="default_width_facebook_likebox(this);" onfocus="paste_only_digits_facebook_likebox(this.id);" value="<?php echo isset( $likebox_data['width'] ) ? esc_attr( $likebox_data['width'] ) : '350'; ?>" placeholder="<?php echo esc_attr( $fbl_width ); ?>" >
								<i class="controls-description"><?php echo esc_attr( $fbl_width_tooltip ); ?></i>
							</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label">
										<?php echo esc_attr( $fbl_height ); ?> :
									<span class="required" aria-required="true">*</span>
								</label>
								<input type="text" class="form-control" name="ux_txt_likebox_height" id="ux_txt_likebox_height"  maxlength="3" onblur="default_height_facebook_likebox(this);" onfocus="paste_only_digits_facebook_likebox(this.id);" value="<?php echo isset( $likebox_data['height'] ) ? esc_attr( $likebox_data['height'] ) : '400'; ?>" placeholder="<?php echo esc_attr( $fbl_height ); ?>" >
								<i class="controls-description"><?php echo esc_attr( $fbl_height_tooltip ); ?></i>
							</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label">
										<?php echo esc_attr( $fbl_header ); ?> :
									<span class="required" aria-required="true">*</span>
								</label>
								<select id="ux_ddl_likebox_header" name="ux_ddl_likebox_header" class="form-control" >
									<option value="true"><?php echo esc_attr( $fbl_small ); ?></option>
									<option value="false"><?php echo esc_attr( $fbl_large ); ?></option>
								</select>
								<i class="controls-description"><?php echo esc_attr( $fbl_header_tooltip ); ?></i>
							</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label">
										<?php echo esc_attr( $fbl_post_stream ); ?> :
										<span class="required" aria-required="true">*</span>
									</label>
									<select id="ux_ddl_likebox_stream" name="ux_ddl_likebox_stream" class="form-control" >
										<option value="timeline"><?php echo esc_attr( $fbl_enable ); ?></option>
										<option value=""><?php echo esc_attr( $fbl_disable ); ?></option>
									</select>
									<i class="controls-description"><?php echo esc_attr( $fbl_post_stream_tooltip ); ?></i>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label">
										<?php echo esc_attr( $fbl_events ); ?> :
									<span class="required" aria-required="true">*</span>
								</label>
								<select id="ux_ddl_likebox_events" name="ux_ddl_likebox_events" class="form-control" >
									<option value="events"><?php echo esc_attr( $fbl_enable ); ?></option>
									<option value=""><?php echo esc_attr( $fbl_disable ); ?></option>
								</select>
								<i class="controls-description"><?php echo esc_attr( $fbl_events_tooltip ); ?></i>
							</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label">
										<?php echo esc_attr( $fbl_messages ); ?> :
									<span class="required" aria-required="true">*</span>
								</label>
								<select id="ux_ddl_likebox_messages" name="ux_ddl_likebox_messages" class="form-control" >
									<option value="messages"><?php echo esc_attr( $fbl_enable ); ?></option>
									<option value=""><?php echo esc_attr( $fbl_disable ); ?></option>
								</select>
								<i class="controls-description"><?php echo esc_attr( $fbl_messages_tooltip ); ?></i>
							</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label">
										<?php echo esc_attr( $fbl_cover_photo ); ?> :
									<span class="required" aria-required="true">*</span>
								</label>
								<select id="ux_ddl_likebox_cover_photo" name="ux_ddl_likebox_cover_photo" class="form-control" >
									<option value="false"><?php echo esc_attr( $fbl_show ); ?></option>
									<option value="true"><?php echo esc_attr( $fbl_hide ); ?></option>
								</select>
								<i class="controls-description"><?php echo esc_attr( $fbl_cover_photo_tooltip ); ?></i>
							</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label">
										<?php echo esc_attr( $fbl_likebox_animation ); ?> :
									<span class="required" aria-required="true">* <?php echo '( ' . esc_attr( $fbl_premium_edition ) . ' )'; ?></span>
								</label>
								<select id="ux_ddl_likebox_animations_effects" name="ux_ddl_likebox_animations_effects" class="form-control" >
									<option value="none">None</option>
									<optgroup label="Magic Effects" disabled="disabled">
										<option value="twisterInDown" disabled="disabled">Twister In Down</option>
										<option value="twisterInUp" disabled="disabled">Twister In Up</option>
										<option value="swap" disabled="disabled">Swap</option>
									</optgroup>
									<optgroup label="Bling">
										<option value="puffIn" disabled="disabled">Puff In</option>
										<option value="vanishIn" disabled="disabled">Vanish In</option>
									</optgroup>
									<optgroup label="Static Effects">
										<option value="openDownLeftRetourn" disabled="disabled">Open Down Left Return</option>
										<option value="openDownRightRetourn" disabled="disabled">Open Down Right Return</option>
										<option value="openUpLeftRetourn" disabled="disabled">Open Up Left Return</option>
										<option value="openUpRightRetourn" disabled="disabled">Open Up Right Return</option>
									</optgroup>
									<optgroup label="Perspective">
										<option value="perspectiveDownRetourn" disabled="disabled">Perspective Down Return</option>
										<option value="perspectiveUpRetourn" disabled="disabled">Perspective Up Return</option>
										<option value="perspectiveLeftRetourn" disabled="disabled">Perspective Left Return</option>
										<option value="perspectiveRightRetourn" disabled="disabled">Perspective Right Return</option>
									</optgroup>
									<optgroup label="Slide">
										<option value="slideDownRetourn" disabled="disabled">Slide Down Return</option>
										<option value="slideUpRetourn" disabled="disabled">Slide Up Return</option>
										<option value="slideLeftRetourn" disabled="disabled">Slide Left Return</option>
										<option value="slideRightRetourn" disabled="disabled">Slide Right Return</option>
									</optgroup>
									<optgroup label="Math">
										<option value="swashIn" disabled="disabled">Swash In</option>
										<option value="foolishIn" disabled="disabled">Foolish In</option>
									</optgroup>
									<optgroup label="Tin">
										<option value="tinRightIn" disabled="disabled">Tin Right In</option>
										<option value="tinLeftIn" disabled="disabled">Tin Left In</option>
										<option value="tinUpIn" disabled="disabled">Tin Up In</option>
										<option value="tinDownIn" disabled="disabled">Tin Down In</option>
									</optgroup>
									<optgroup label="Boing">
										<option value="boingInUp" disabled="disabled">Boing In Up</option>
									</optgroup>
									<optgroup label="On the Space">
										<option value="spaceInUp" disabled="disabled">Space In Up</option>
										<option value="spaceInRight" disabled="disabled">Space In Right</option>
										<option value="spaceInDown" disabled="disabled">Space In Down</option>
										<option value="spaceInLeft" disabled="disabled">Space In Left</option>
									</optgroup>
									<optgroup label="Attention Seekers">
										<option value="bounce" disabled="disabled">Bounce</option>
										<option value="flash" disabled="disabled">Flash</option>
										<option value="pulse" disabled="disabled">Pulse</option>
										<option value="rubberBand" disabled="disabled">Rubber Band</option>
										<option value="shake" disabled="disabled">Shake</option>
										<option value="swing" disabled="disabled">Swing</option>
										<option value="tada" disabled="disabled">Tada</option>
										<option value="wobble" disabled="disabled">Wobble</option>
										<option value="jello" disabled="disabled">Jello</option>
									</optgroup>
									<optgroup label="Bouncing Entrances">
										<option value="bounceIn" disabled="disabled">Bounce In</option>
										<option value="bounceInDown" disabled="disabled">Bounce In Down</option>
										<option value="bounceInLeft" disabled="disabled">Bounce In Left</option>
										<option value="bounceInRight" disabled="disabled">Bounce In Right</option>
										<option value="bounceInUp" disabled="disabled">Bounce In Up</option>
									</optgroup>
									<optgroup label="Fading Entrances">
										<option value="fadeIn" disabled="disabled">Fade In</option>
										<option value="fadeInDown" disabled="disabled">Fade In Down</option>
										<option value="fadeInDownBig" disabled="disabled">Fade In Down Big</option>
										<option value="fadeInLeft" disabled="disabled">Fade In Left</option>
										<option value="fadeInLeftBig" disabled="disabled">Fade In Left Big</option>
										<option value="fadeInRight" disabled="disabled">Fade In Right</option>
										<option value="fadeInRightBig" disabled="disabled">Fade In Right Big</option>
										<option value="fadeInUp" disabled="disabled">Fade In Up</option>
										<option value="fadeInUpBig" disabled="disabled">Fade In Up Big</option>
									</optgroup>
									<optgroup label="Flippers">
										<option value="flipInX" disabled="disabled">Flip In X</option>
										<option value="flipInY" disabled="disabled">Flip In Y</option>
									</optgroup>
									<optgroup label="Lightspeed">
										<option value="lightSpeedIn" disabled="disabled">Light Speed In</option>
									</optgroup>
									<optgroup label="Rotating Entrances">
										<option value="rotateIn" disabled="disabled">Rotate In</option>
										<option value="rotateInDownLeft" disabled="disabled">Rotate In Down Left</option>
										<option value="rotateInDownRight" disabled="disabled">Rotate In Down Right</option>
										<option value="rotateInUpLeft" disabled="disabled">Rotate In Up Left</option>
										<option value="rotateInUpRight" disabled="disabled">Rotate In Up Right</option>
									</optgroup>
									<optgroup label="Sliding Entrances">
										<option value="slideInUp" disabled="disabled">Slide In Up</option>
										<option value="slideInDown" disabled="disabled">Slide In Down</option>
										<option value="slideInLeft" disabled="disabled">Slide In Left</option>
										<option value="slideInRight" disabled="disabled">Slide In Right</option>
									</optgroup>
									<optgroup label="Zoom Entrances">
										<option value="zoomIn" disabled="disabled">Zoom In</option>
										<option value="zoomInDown" disabled="disabled">Zoom In Down</option>
										<option value="zoomInLeft" disabled="disabled">Zoom In Left</option>
										<option value="zoomInRight" disabled="disabled">Zoom In Right</option>
										<option value="zoomInUp" disabled="disabled">Zoom In Up</option>
									</optgroup>
									<optgroup label="Specials">
										<option value="rollIn" disabled="disabled">Roll In</option>
									</optgroup>
								</select>
								<i class="controls-description"><?php echo esc_attr( $fbl_likebox_animation_tooltip ); ?></i>
							</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<div class="form-group">
									<label class="control-label">
									<?php echo esc_attr( $fbl_show_faces ); ?> :
									<span class="required" aria-required="true">*</span>
								</label>
								<select id="ux_ddl_likebox_user_faces" name="ux_ddl_likebox_user_faces" class="form-control">
									<option value="true"><?php echo esc_attr( $fbl_show ); ?></option>
									<option value="false"><?php echo esc_attr( $fbl_hide ); ?></option>
								</select>
								<i class="controls-description"><?php echo esc_attr( $fbl_show_faces_tooltip ); ?></i>
							</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label">
									<?php echo esc_attr( $fbl_border_style_title ); ?> :
									<span class="required" aria-required="true">* <?php echo '( ' . esc_attr( $fbl_premium_edition ) . ' )'; ?></span>
								</label>
								<div class="input-icon right">
									<input type="text" disabled='disabled' class="form-control input-width-25 input-inline" name="ux_ddl_likebox_border_style[]" id="ux_txt_border_style_width" placeholder="<?php echo esc_attr( $fbl_width ); ?>" maxlength="3" value="<?php echo isset( $likebox_border_style[0] ) ? intval( $likebox_border_style[0] ) : 2; ?>" onblur="default_value_facebook_likebox('#ux_txt_border_style_width', 1);" onfocus="paste_only_digits_facebook_likebox(this.id);" >
									<select name="ux_ddl_likebox_border_style[]" id="ux_ddl_likebox_border" class="form-control input-width-27 input-inline" >
										<option value="none"><?php echo esc_attr( $fbl_border_none ); ?></option>
										<option value="solid" disabled='disabled'><?php echo esc_attr( $fbl_border_solid ); ?></option>
										<option value="dashed" disabled='disabled'><?php echo esc_attr( $fbl_border_dashed ); ?></option>
										<option value="dotted" disabled='disabled'><?php echo esc_attr( $fbl_border_dotted ); ?></option>
									</select>
									<input type="text" disabled='disabled' class="form-control input-normal input-inline" name="ux_ddl_likebox_border_style[]" id="ux_txt_likebox_border_color" value="<?php echo isset( $likebox_border_style[2] ) ? esc_attr( $likebox_border_style[2] ) : '#e3e3e3'; ?>" placeholder="<?php echo esc_attr( $fbl_color_placeholder ); ?>" onblur="check_color_facebook_likebox('#ux_txt_likebox_border_color');" onfocus="facebook_likebox_colorpicker(this.id, this.value);" >
								</div>
								<i class="controls-description"><?php echo esc_attr( $fbl_border_style_tooltip ); ?></i>
							</div>
							</div>
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label">
									<?php echo esc_attr( $fbl_border_radius_title ); ?> :
									<span class="required" aria-required="true">* <?php echo '( ' . esc_attr( $fbl_premium_edition ) . ' )'; ?></span>
								</label>
								<div class="input-icon right">
									<input type="text" class="form-control" disabled='disabled' name="ux_txt_border_radius" id="ux_txt_border_radius" placeholder="<?php echo esc_attr( $fbl_border_radius_title ); ?>" onblur="default_value_facebook_likebox('#ux_txt_border_radius', 0);" maxlength="3" value="<?php echo isset( $likebox_data['border_radius'] ) ? esc_attr( $likebox_data['border_radius'] ) : '0'; ?>" onfocus="paste_only_digits_facebook_likebox(this.id);" >
								</div>
								<i class="controls-description"><?php echo esc_attr( $fbl_border_radius_tooltip ); ?></i>
							</div>
							</div>
						</div>
						<div class="line-separator"></div>
						<div class="form-actions">
							<div class="pull-right">
								<input type="button" class="btn vivid-green" id="ux_preview_btn_add_likebox" name="ux_preview_btn_add_likebox"  value="<?php echo esc_attr( $fbl_preview ); ?>"  onclick='facebook_likebox_preview_likebox("facebook_likebox_preview", "<?php echo esc_attr( $facebook_likebox_preview_nonce ); ?>", "ux_frm_add_likebox", "0")'>
								<input type="submit" class="btn vivid-green" id="ux_btn_add_likebox" name="ux_btn_add_likebox" value="<?php echo esc_attr( $fbl_save_changes ); ?>">
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
	</div>
		<?php
	} else {
		?>
		<div class="page-bar">
			<ul class="page-breadcrumb">
			<li>
				<i class="icon-custom-home"></i>
				<a href="admin.php?page=facebook_manage_like_box">
					<?php echo esc_attr( $facebook_likebox ); ?>
				</a>
				<span>></span>
			</li>
			<li>
				<a href="admin.php?page=facebook_manage_like_box">
					<?php echo esc_attr( $fbl_like_box ); ?>
				</a>
				<span>></span>
			</li>
			<li>
				<span>
					<?php echo esc_attr( $fbl_add_like_box ); ?>
				</span>
			</li>
		</ul>
	</div>
	<div class="row">
		<div class="col-md-12">
			<div class="portlet box vivid-green">
				<div class="portlet-title">
					<div class="caption">
						<i class="icon-custom-plus"></i>
						<?php echo esc_attr( $fbl_add_like_box ); ?>
					</div>
				</div>
				<div class="portlet-body form">
					<div class="form-body">
						<strong><?php echo esc_attr( $fbl_user_access_message ); ?></strong>
					</div>
				</div>
			</div>
		</div>
	</div>
		<?php
	}
}
