<?php
/**
 * This File is used to add sticky like box.
 *
 * @author  Tech Banker
 * @package facebook-likebox/views
 * @version 2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}// Exit if accessed directly
if ( ! is_user_logged_in() ) {
	return;
} else {
	$access_granted = false;
	if ( isset( $user_role_permission ) && count( $user_role_permission ) > 0 ) {
		foreach ( $user_role_permission as $permission ) {
			if ( current_user_can( $permission ) ) {
				$access_granted = true;
				break;
			}
		}
	}
	if ( ! $access_granted ) {
		return;
	} elseif ( STICKY_LIKE_BOX_FACEBOOK_LIKEBOX === '1' ) {
		$sticky_likebox_border_style = isset( $sticky_likebox_data['sticky_likebox_border_style'] ) ? explode( ',', esc_attr( $sticky_likebox_data['sticky_likebox_border_style'] ) ) : '';
		?>
		<div class="page-bar">
			<ul class="page-breadcrumb">
				<li>
					<i class="icon-custom-home"></i>
					<a href="admin.php?page=facebook_manage_like_box">
						<?php echo esc_attr( $facebook_likebox ); ?>
					</a>
					<span>></span>
				</li>
				<li>
					<a href="admin.php?page=facebook_manage_sticky_like_box">
						<?php echo esc_attr( $fbl_sticky_like_box ); ?>
					</a>
					<span>></span>
				</li>
				<li>
					<span>
						<?php echo isset( $_REQUEST['meta_id'] ) ? esc_attr( $fbl_edit_sticky_likebox ) : esc_attr( $fbl_add_sticky_like_box ); // WPCS: CSRF ok,input var ok. ?>
					</span>
				</li>
			</ul>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div class="portlet box vivid-green">
					<div class="portlet-title">
						<div class="caption">
							<i class="icon-custom-plus"></i>
							<?php echo isset( $_REQUEST['meta_id'] ) ? esc_attr( $fbl_edit_sticky_likebox ) : esc_attr( $fbl_add_sticky_like_box ); // WPCS: CSRF ok,input var ok. ?>
						</div>
						<p class="premium-editions-facebook-likebox">
							<?php echo esc_attr( $fbl_upgrade_know_about ); ?> <a href="<?php echo esc_attr( TECH_BANKER_SITE_URL ); ?>" target="_blank" class="premium-editions-documentation"> <?php echo esc_attr( $fbl_full_features ); ?></a> <?php echo esc_attr( $fbl_chek_our ); ?> <a href="<?php echo esc_attr( TECH_BANKER_SITE_URL ); ?>/backend-demos" target="_blank" class="premium-editions-documentation"><?php echo esc_attr( $fbl_online_demos ); ?></a>
						</p>
					</div>
					<div class="portlet-body form">
						<form id="ux_frm_add_sticky_likebox">
							<div class="form-body">
								<div class="form-actions">
									<div class="pull-right">
										<input type="button" class="btn vivid-green" data-popup-open-preview="data-popup-likebox-preview" id="ux_preview_btn_add_sticky_likebox" name="ux_preview_btn_add_sticky_likebox" value="<?php echo esc_attr( $fbl_preview ); ?>" onclick='premium_edition_notification_facebook_likebox();'>
										<input type="submit" class="btn vivid-green" id="ux_btn_add_sticky_likebox" name="ux_btn_add_sticky_likebox" value="<?php echo esc_attr( $fbl_save_changes ); ?>">
									</div>
								</div>
								<div class="line-separator"></div>
								<div class="row">
									<div class="col-md-12">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_likebox_source ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<select id="ux_ddl_fb_likebox_source" name="ux_ddl_fb_likebox_source"class="form-control" onchange="page_id_and_url_show_for_facebook_likebox();">
												<option value="page_url"><?php echo esc_attr( $fbl_page_url ); ?></option>
												<option value="page_id"><?php echo esc_attr( $fbl_page_id ); ?></option>
											</select>
											<i class="controls-description"><?php echo esc_attr( $fbl_likebox_tooltip ); ?></i>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-12" id="ux_div_facebook_likebox_page_url">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_page_url ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<input type="text" class="form-control" name="ux_txt_sticky_likebox_page_url" id="ux_txt_sticky_likebox_page_url" value="<?php echo isset( $sticky_likebox_data['page_url'] ) ? esc_url( $sticky_likebox_data['page_url'] ) : 'http://www.facebook.com/techbanker'; ?>" placeholder="<?php echo esc_attr( $fbl_page_url_placeholder ); ?>">
											<i class="controls-description"><?php echo esc_attr( $fbl_page_url_tooltip ); ?></i>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-12" id="ux_div_facebook_likebox_page_id">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_page_id ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<input type="text" class="form-control" name="ux_txt_sticky_likebox_page_id" id="ux_txt_sticky_likebox_page_id" value="<?php echo isset( $sticky_likebox_data['page_id'] ) ? esc_attr( $sticky_likebox_data['page_id'] ) : 'techbanker'; ?>" placeholder="<?php echo esc_attr( $fbl_page_id_placeholder ); ?>">
											<i class="controls-description"><?php echo esc_attr( $fbl_page_id_tooltip ); ?></i>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_title ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<input type="text" class="form-control" name="ux_txt_sticky_likebox_page_title" id="ux_txt_sticky_likebox_page_title" value="<?php echo isset( $sticky_likebox_data['title'] ) ? esc_attr( $sticky_likebox_data['title'] ) : 'Tech-Banker'; ?>" placeholder="<?php echo esc_attr( $fbl_title ); ?>">
											<i class="controls-description"><?php echo esc_attr( $fbl_title_tooltip ); ?></i>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_language ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<select name="ux_ddl_sticky_likebox_language" id="ux_ddl_sticky_likebox_language" class="form-control">
												<?php
												foreach ( $fbl_langs as $key => $value ) {
													?>
													<option value="<?php echo esc_attr( $key ); ?>"><?php echo esc_attr( $value ); ?></option>
													<?php
												}
												?>
											</select>
											<i class="controls-description"><?php echo esc_attr( $fbl_language_tooltip ); ?></i>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_width ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<input type="text" class="form-control" name="ux_txt_sticky_likebox_width"
											id="ux_txt_sticky_likebox_width"  maxlength="3" value="<?php echo isset( $sticky_likebox_data['sticky_likebox_width'] ) ? intval( $sticky_likebox_data['sticky_likebox_width'] ) : '350'; ?>"
											placeholder="<?php echo esc_attr( $fbl_width ); ?>" onblur="default_width_facebook_likebox(this);" onfocus="paste_only_digits_facebook_likebox(this.id);">
											<i class="controls-description"><?php echo esc_attr( $fbl_width_tooltip ); ?></i>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_height ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<input type="text" name="ux_txt_sticky_likebox_height"
											id="ux_txt_sticky_likebox_height"  maxlength="3" class="form-control" value="<?php echo isset( $sticky_likebox_data['sticky_likebox_height'] ) ? intval( $sticky_likebox_data['sticky_likebox_height'] ) : '250'; ?>" placeholder="<?php echo esc_attr( $fbl_height ); ?>" onblur="default_height_facebook_likebox(this);" onfocus="paste_only_digits_facebook_likebox(this.id);" >
											<i class="controls-description"><?php echo esc_attr( $fbl_height_tooltip ); ?></i>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-12">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_sticky_likebox_position ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<select id="ux_ddl_sticky_likebox_position" name="ux_ddl_sticky_likebox_position" class="form-control">
												<option value="top"><?php echo esc_attr( $fbl_position_top ); ?></option>
												<option value="bottom"><?php echo esc_attr( $fbl_position_bottom ); ?></option>
												<option value="left"><?php echo esc_attr( $fbl_position_left ); ?></option>
												<option value="right"><?php echo esc_attr( $fbl_position_right ); ?></option>
											</select>
											<i class="controls-description"><?php echo esc_attr( $fbl_sticky_likebox_position_tooltip ); ?></i>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_header ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<select id="ux_ddl_sticky_likebox_header" name="ux_ddl_sticky_likebox_header" class="form-control">
												<option value="true"><?php echo esc_attr( $fbl_small ); ?></option>
												<option value="false"><?php echo esc_attr( $fbl_large ); ?></option>
											</select>
											<i class="controls-description"><?php echo esc_attr( $fbl_header_tooltip ); ?></i>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_post_stream ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<select id="ux_ddl_sticky_likebox_post_stream" name="ux_ddl_sticky_likebox_post_stream" class="form-control">
												<option value="timeline"><?php echo esc_attr( $fbl_enable ); ?></option>
												<option value=""><?php echo esc_attr( $fbl_disable ); ?></option>
											</select>
											<i class="controls-description"><?php echo esc_attr( $fbl_post_stream_tooltip ); ?></i>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_events ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<select id="ux_ddl_sticky_likebox_events" name="ux_ddl_sticky_likebox_events" class="form-control">
												<option value="events"><?php echo esc_attr( $fbl_enable ); ?></option>
												<option value=""><?php echo esc_attr( $fbl_disable ); ?></option>
											</select>
											<i class="controls-description"><?php echo esc_attr( $fbl_events_tooltip ); ?></i>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_messages ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<select id="ux_ddl_sticky_likebox_messages" name="ux_ddl_sticky_likebox_messages" class="form-control">
												<option value="messages"><?php echo esc_attr( $fbl_enable ); ?></option>
												<option value=""><?php echo esc_attr( $fbl_disable ); ?></option>
											</select>
											<i class="controls-description"><?php echo esc_attr( $fbl_messages_tooltip ); ?></i>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_cover_photo ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<select id="ux_ddl_sticky_likebox_cover_photo" name="ux_ddl_sticky_likebox_cover_photo" class="form-control">
												<option value="false"><?php echo esc_attr( $fbl_show ); ?></option>
												<option value="true"><?php echo esc_attr( $fbl_hide ); ?></option>
											</select>
											<i class="controls-description"><?php echo esc_attr( $fbl_cover_photo_tooltip ); ?></i>
										</div>
									</div>
									<div class="col-md-6" id="ux_txt_sticky_faces" >
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_show_faces ); ?> :
												<span class="required" aria-required="true">* ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<select id="ux_ddl_sticky_likebox_show_faces" name="ux_ddl_sticky_likebox_show_faces" class="form-control">
												<option value="true"><?php echo esc_attr( $fbl_show ); ?></option>
												<option value="false"><?php echo esc_attr( $fbl_hide ); ?></option>
											</select>
											<i class="controls-description"><?php echo esc_attr( $fbl_show_user_faces_tooltip ); ?></i>
										</div>
									</div>
								</div>
								<div class="row">
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_border_style_title ); ?> : <span style="color:red;"> ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<div class="input-icon right">
												<input type="text" class="form-control input-width-25 input-inline" name="ux_txt_border_style[]" id="ux_txt_border_style_width" placeholder="<?php echo esc_attr( $fbl_width ); ?>" maxlength="3" onblur="default_value_facebook_likebox('#ux_txt_border_style_width', 5);" onfocus="paste_only_digits_facebook_likebox(this.id)" value="<?php echo isset( $sticky_likebox_border_style[0] ) ? intval( $sticky_likebox_border_style[0] ) : '5'; ?>">
												<select name="ux_txt_border_style[]" id="ux_ddl_border_style_thickness" class="form-control input-width-27 input-inline">
													<option value="none"><?php echo esc_attr( $fbl_border_none ); ?></option>
													<option value="solid"><?php echo esc_attr( $fbl_border_solid ); ?></option>
													<option value="dashed"><?php echo esc_attr( $fbl_border_dashed ); ?></option>
													<option value="dotted"><?php echo esc_attr( $fbl_border_dotted ); ?></option>
												</select>
												<input type="text" class="form-control input-normal input-inline" name="ux_txt_border_style[]" id="ux_txt_border_style_color" onblur="check_color_facebook_likebox('#ux_txt_border_style_color');" onfocus="facebook_likebox_colorpicker(this.id, this.value);" placeholder="<?php echo esc_attr( $fbl_color_placeholder ); ?>" value="<?php echo isset( $sticky_likebox_border_style[2] ) ? esc_attr( $sticky_likebox_border_style[2] ) : '#3b5998'; ?>">
											</div>
											<i class="controls-description"><?php echo esc_attr( $fbl_border_style_tooltip ); ?></i>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="control-label">
												<?php echo esc_attr( $fbl_border_radius_title ); ?> : <span style="color:red;"> ( <?php echo esc_attr( $fbl_premium_edition ); ?> )</span>
											</label>
											<div class="input-icon right">
												<input type="text" class="form-control" name="ux_txt_border_radius" id="ux_txt_border_radius" placeholder="<?php echo esc_attr( $fbl_border_radius_title ); ?>" maxlength="3" onblur="default_value_facebook_likebox('#ux_txt_border_radius', 0);" value="<?php echo isset( $sticky_likebox_data['sticky_likebox_border_radius'] ) ? intval( $sticky_likebox_data['sticky_likebox_border_radius'] ) : '0'; ?>" onfocus="paste_only_digits_facebook_likebox(this.id);" >
											</div>
											<i class="controls-description"><?php echo esc_attr( $fbl_border_radius_tooltip ); ?></i>
										</div>
									</div>
								</div>
								<div class="line-separator"></div>
								<div class="form-actions">
									<div class="pull-right">
										<input type="button" class="btn vivid-green" data-popup-open-preview="data-popup-likebox-preview" id="ux_preview_btn_add_sticky_likebox" name="ux_preview_btn_add_sticky_likebox" value="<?php echo esc_attr( $fbl_preview ); ?>" onclick='premium_edition_notification_facebook_likebox();'>
										<input type="submit" class="btn vivid-green" id="ux_btn_add_sticky_likebox" name="ux_btn_add_sticky_likebox" value="<?php echo esc_attr( $fbl_save_changes ); ?>">
									</div>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
		<div class="popup" data-popup="data-sticky-likebox-preview">
		</div>
		<?php
	} else {
		?>
		<div class="page-bar">
			<ul class="page-breadcrumb">
				<li>
					<i class="icon-custom-home"></i>
					<a href="admin.php?page=facebook_manage_like_box">
						<?php echo esc_attr( $facebook_likebox ); ?>
					</a>
					<span>></span>
				</li>
				<li>
					<a href="admin.php?page=facebook_manage_sticky_like_box">
						<?php echo esc_attr( $fbl_sticky_like_box ); ?>
					</a>
					<span>></span>
				</li>
				<li>
					<span>
						<?php echo esc_attr( $fbl_add_sticky_like_box ); ?>
					</span>
				</li>
			</ul>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div class="portlet box vivid-green">
					<div class="portlet-title">
						<div class="caption">
							<i class="icon-custom-plus"></i>
							<?php echo esc_attr( $fbl_add_sticky_like_box ); ?>
						</div>
					</div>
					<div class="portlet-body form">
						<div class="form-body">
							<strong><?php echo esc_attr( $fbl_user_access_message ); ?></strong>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php
	}
}
